- Qt 5.5
- Qt3D Module
- C++ Classes
- CircularBufferData
- Qt 5.5.1 Reference Documentation

# CircularBufferData Class

(Qt3D::CircularBufferData)

Inherits: |
Inherited By: |

- List of all members, including inherited members

## Protected Functions

| CircularBufferData()
| ~CircularBufferData()
void * | allocate(int count, size_t sizeOfT)
void | deallocate(void * p)
int | wraparound(int index) const

## Member Function Documentation

### `[protected]` CircularBufferData::CircularBufferData()

### `[protected]` CircularBufferData::~CircularBufferData()

### `[protected]` void * CircularBufferData::allocate(int count, size_t sizeOfT)

### `[protected]` void CircularBufferData::deallocate(void * p)

### `[protected]` int CircularBufferData::wraparound(int index) const